function h=plotcar2T(x0,y0,theta0,theta1,theta2,phi,symbol)
%
%    February 1993
%
% ............................................................
% :         Pierre ROUCHON  <rouchon@cas.ensmp.fr>           :
% : Centre Automatique et Systemes, Ecole des Mines de Paris :
% : 60, bd Saint Michel -- 75272 PARIS CEDEX 06, France      :
% :    Telephone: (1) 40 51 91 15 --- Fax: (1) 43 54 18 93   :
% :..........................................................:
%
% 
% plot the car 
%
global T L d1 d2  a0 a1 b0 p  ;
  theta = theta0 ; x=x0 ; y=y0 ;
% rear wheels
wheel1 =  [ -1/8 1/8 ;  1/6  1/6 ] ; 
wheel2 =  [ -1/8 1/8 ; -1/6 -1/6 ] ;
% front wheels
wheel3 = [
(1-cos(phi)/8)   (1+cos(phi)/8)
(1/6-sin(phi)/8) (1/6+sin(phi)/8) 
         ] ;
wheel4 = [
(1-cos(phi)/8)    (1+cos(phi)/8)
(-1/6-sin(phi)/8) (-1/6+sin(phi)/8) 
         ] ;
% 
% car + wheels
xy_car = [ [
    -1/3   7/6   4/3  4/3  7/6  -1/3  -1/3
    -1/3  -1/3  -1/6  1/6  1/3   1/3  -1/3
         ] wheel1 wheel2 wheel3 wheel4 ] ;
xy_car = ....
  [x x x x x x x x x x x x x x x 
   y y y y y y y y y y y y y y y ] + .... 
   L*[cos(theta) -sin(theta);sin(theta) cos(theta)]....
      *xy_car  ;
%
%
%     Trailer 1
x = x - d1*cos(theta1) ;
y = y - d1*sin(theta1) ;
theta=theta1 ;
xy_T1 = [ .....
 [
-L/3  L/3   L/3  -L/3  -L/3  
-L/3 -L/3 L/3  L/3  -L/3 
 ] .....
 [
 L/3  d1
  0         0
 ] .....
 [ 
-L/8   L/8 
 L/6  L/6 
 ] .... 
 [ 
-L/8   L/8 
-L/6 -L/6 
 ].... 
 ] ;
%
% translation + rotation
xy_T1 = ....
  [x x x x x x x x x x x  
   y y y y y y y y y y y  ] + .... 
[cos(theta) -sin(theta);sin(theta) cos(theta)]*xy_T1  ;

%
%     Trailer 2
x = x - d2*cos(theta2) ;
y = y - d2*sin(theta2) ;
theta=theta2 ;
xy_T2 = [ .....
 [
-L/3  L/3   L/3  -L/3  -L/3  
-L/3 -L/3 L/3  L/3  -L/3 
 ] .....
 [
 L/3  d2
  0         0
 ] .....
 [ 
-L/8   L/8 
 L/6  L/6 
 ] .... 
 [ 
-L/8   L/8 
-L/6 -L/6 
 ].... 
 ] ;
%
% translation + rotation
xy_T2 = ....
  [x x x x x x x x x x x  
   y y y y y y y y y y y  ] + .... 
[cos(theta) -sin(theta);sin(theta) cos(theta)]*xy_T2  ;
%
%
%
% plots
%
%  Car 
ss=3;
 h(1)=plot(xy_car(1,1:7),xy_car(2,1:7),symbol,'LineWidth',ss) ;
% rear wheel 1
 h(2)=plot(xy_car(1,8:9),xy_car(2,8:9),symbol,'LineWidth',ss) ;
% rear wheel 2
 h(3)=plot(xy_car(1,10:11),xy_car(2,10:11),symbol,'LineWidth',ss) ;
% front wheel 1
 h(4)=plot(xy_car(1,12:13),xy_car(2,12:13),symbol,'LineWidth',ss) ;
% front wheel 2
 h(5)=plot(xy_car(1,14:15),xy_car(2,14:15),symbol,'LineWidth',ss) ;
%
%
% trailer 1 
 h(6)=plot(xy_T1(1,1:5),xy_T1(2,1:5),symbol,'LineWidth',ss) ;
% hitch
 h(7)=plot(xy_T1(1,6:7),xy_T1(2,6:7),symbol,'LineWidth',ss) ;
%  wheels 
 h(8)=plot(xy_T1(1,8:9),xy_T1(2,8:9),symbol,'LineWidth',ss) ;
 h(9)=plot(xy_T1(1,10:11),xy_T1(2,10:11),symbol,'LineWidth',ss) ;
%
%
% trailer 2 
 h(10)=plot(xy_T2(1,1:5),xy_T2(2,1:5),symbol,'LineWidth',ss) ;
% hitch
 h(11)=plot(xy_T2(1,6:7),xy_T2(2,6:7),symbol,'LineWidth',ss) ;
%  wheels 
 h(12)=plot(xy_T2(1,8:9),xy_T2(2,8:9),symbol,'LineWidth',ss) ;
 h(13)=plot(xy_T2(1,10:11),xy_T2(2,10:11),symbol,'LineWidth',ss) ;
